Bug 211738 - dns/nss_mdns: new upstream location
Summary: dns/nss_mdns: new upstream location
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-10 19:00 UTC by Adam Goode
Modified: 2020-06-26 20:32 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ashish)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Goode 2016-08-10 19:00:29 UTC
There is a new active upstream for nss-mdns:
https://github.com/lathiat/nss-mdns

This is by the same new upstream maintainer as avahi.

I filed a bug there to get the ports patches upstream:
https://github.com/lathiat/nss-mdns/issues/3
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-02-08 17:35:11 UTC
Feedback please!
Comment 2 Greg V 2020-06-24 14:29:48 UTC
The new upstream now has the ports patches (and some of my new fixes).
Comment 3 Ashish SHUKLA freebsd_committer 2020-06-24 17:07:02 UTC
(In reply to Greg V from comment #2)

Thanks, I'll give it a shot.
Comment 4 Ashish SHUKLA freebsd_committer 2020-06-24 17:28:52 UTC
(In reply to Greg V from comment #2)

I end up with following error, after installing the updated port[1] on 12.1-RELEASE:

    ld-elf.so.1: /usr/local/lib/nss_mdns_minimal.so.1: Undefined symbol "_nss_mdns_gethostbyname2_r"

Following are the contents of nsswitch.conf:

    hosts: files mdns_minimal [NOTFOUND=return] dns mdns

Do you have any suggestions, or advice, or if the diff is wrong, could you submit the updated diff ?

References:
[1] https://people.freebsd.org/~ashish/diffs/nss_mdns-20200624.diff

Thanks!
Comment 5 Ashish SHUKLA freebsd_committer 2020-06-24 17:31:42 UTC
Nevermind, I see you have a pull request open. I've subscribed to it[1], and will provide feedback, and update the port once it's accepted upstream.

References:
[1] https://github.com/lathiat/nss-mdns/pull/72


Thanks!
Comment 6 Greg V 2020-06-25 17:05:57 UTC
(In reply to Ashish SHUKLA from comment #5)
I have not tried _minimal before, but my PR reintroduces the v6/v4 only versions, and there was that error in them, which I have fixed. Just tested, _minimal works for me now.
Comment 7 commit-hook freebsd_committer 2020-06-26 20:30:59 UTC
A commit references this bug:

Author: ashish
Date: Fri Jun 26 20:30:12 UTC 2020
New revision: 540541
URL: https://svnweb.freebsd.org/changeset/ports/540541

Log:
  - Switch to Github repository as new upstream
  - Update to git snapshot 99c2f1c
  - Remove patches, already merged upstream
  - Remove SEARCH_DOMAINS option
  - Remove unsupported CONFIGURE_ARGS
  - Add WWW entry to pkg-descr

  Thanks to Greg V for working with upstream in upstreaming
  the patches and additional fixes

  PR:		211738

Changes:
  head/dns/nss_mdns/Makefile
  head/dns/nss_mdns/distinfo
  head/dns/nss_mdns/files/
  head/dns/nss_mdns/pkg-descr
Comment 8 Ashish SHUKLA freebsd_committer 2020-06-26 20:32:01 UTC
Committed, thanks!